Subject: Re: bug#46119: 28.0.50; this-error-recenter
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Sun, 07 Feb 2021 16:56:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Juri Linkov <[email-masked]> writes:

>>> Would it be possible to avoid code duplication between
>>> next-error-no-select and recenter-current-error?
>>
>> How about adding this macro?
>>
>> (defmacro with-selected-locus (n &rest body)
>>
>> (defun next-error-no-select (&optional n)
>>...
>>   (with-selected-locus n))
>
> I don't know, a macro call with empty body doesn't look nice.  I guess
> then better to have code duplication than such macro.

Thank you. Then, I have chosen the previous one without the macro.

Pushed into master as commit
"Add command to recenter errors from Occur/Grep buffers"
(9380a7ed906e667df4fc5b9d9c8e487fafa7c654)